diff options
author | Jim Meyering <jim@meyering.net> | 2001-05-11 09:10:09 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2001-05-11 09:10:09 +0000 |
commit | 677cb6c6a9b7515316c06431c4dc511568deb80c (patch) | |
tree | 765484e85d0a4d57ce2ef1d834c87a0ba0cbbba0 /tests | |
parent | c08bfa106096e70120b0c3b4730aa8b48539281a (diff) | |
download | coreutils-677cb6c6a9b7515316c06431c4dc511568deb80c.tar.xz |
Factor out the root-only test into this ...
Source ../root-only instead.
Diffstat (limited to 'tests')
-rwxr-xr-x | tests/cp/special-bits | 21 |
1 files changed, 2 insertions, 19 deletions
diff --git a/tests/cp/special-bits b/tests/cp/special-bits index 0588301a2..d7e5a9754 100755 --- a/tests/cp/special-bits +++ b/tests/cp/special-bits @@ -10,6 +10,8 @@ if test "$VERBOSE" = yes; then cp --version fi +. $srcdir/../root-only + pwd=`pwd` tmp=spec-bits.$$ trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0 @@ -19,25 +21,6 @@ framework_failure=0 mkdir $tmp || framework_failure=1 cd $tmp || framework_failure=1 -touch file || framework_failure=1 -chmod u-w file || framework_failure=1 -(echo foo >> file) >/dev/null 2>&1 || { - echo '********************************************' - echo "$0: NOTICE: This test must be run as root." - echo "You can do the following as \`root' to run just this test:" - echo "" - echo "cd $pwd && $MAKE check TESTS=special-bits" - echo "" - echo "Here's a minimalist version. It outputs nothing when the test" - echo "succeeds, and \`FAIL' if it fails." - echo "" - echo "cd $pwd \\" - echo " && env PATH=../../src:\$PATH MAKE=$MAKE ./special-bits || echo FAIL" - echo "" - echo '********************************************' - exit 77 -} - touch a b || framework_failure=1 chmod u+sx,go= a || framework_failure=1 chmod u=rwx,g=sx,o= b || framework_failure=1 |